import { TableColumnsType } from "antd";
import { DataItemType } from ".";

export const columnsForStudy: TableColumnsType<DataItemType> = [
  { title: "PatientID", dataIndex: "PatientID", key: "PatientID" },
  { title: "患者姓名", dataIndex: "PatientName", key: "PatientName" },
  { title: "性别", dataIndex: "PatientSex", key: "PatientSex" },
  { title: "出生日期", dataIndex: "PatientBirthDate", key: "PatientBirthDate" },
  { title: "病例日期", dataIndex: "StudyDate", key: "StudyDate" },
  {
    title: "相关序列数",
    dataIndex: "NumberPatientRelatedInstances",
    key: "NumberPatientRelatedInstances",
  },
];

export const columnsForSeries: TableColumnsType<DataItemType> = [
  { title: "序列号", dataIndex: "SeriesNumber", key: "SeriesNumber" },
  {
    title: "成像设备",
    dataIndex: "Modality",
    key: "Modality",
  },
  {
    title: "序列描述",
    dataIndex: "SeriesDescription",
    key: "SeriesDescription",
  },

  {
    title: "切片数",
    dataIndex: "NumberSeriesRelatedInstances",
    key: "NumberSeriesRelatedInstances",
  },
];
